eoLinearRandomSplit(3)

NAME
eoLinearRandomSplit - random truncation - linear version

SYNOPSIS

#include <eoReduceSplit.h>

Inherits eoReduceSplit< EOT >< EOT >.

  Public Member Functions
eoLinearRandomSplit (eoHowMany _howMany, bool _returnEliminated=false)
Ctor: must provide amount of reduction, and whether or not you need to return the eliminated guys.
void operator() (eoPop< EOT > &_newgen, eoPop< EOT > &_eliminated)
do the job

  Private Attributes
eoHowMany howMany
bool returnEliminated

Detailed Description

  template<class EOT> class eoLinearRandomSplit< EOT >
random truncation - linear version

Definition at line 163 of file eoReduceSplit.h.

Author

Generated automatically by Doxygen for EO from the source code.